Bug 101457 - New port: www/bacula-web : a web interface for sysutils/bacula-server
Summary: New port: www/bacula-web : a web interface for sysutils/bacula-server
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ion-Mihai "IOnut" Tetcu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-08-06 07:00 UTC by Dan Langille
Modified: 2006-08-08 15:44 UTC (History)
1 user (show)

See Also:


Attachments
bacula-web.shar (22.38 KB, text/plain)
2006-08-06 07:00 UTC, Dan Langille
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dan Langille 2006-08-06 07:00:32 UTC
	
Bacula-web is a PHP based web program that summarizes your Bacula catalog database.
Comment 1 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-08-06 19:01:45 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

I'll take it.
Comment 2 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-08-06 19:04:37 UTC
State Changed
From-To: open->feedback

Leaving apart taht you don't include bs.port.pre.mk so OPTIONS check 
won't work, I don't understand yhe logic for checking OPTIONS - you 
don't want SQLite at all ?
Comment 3 Dan Langille 2006-08-06 23:01:45 UTC
Please use this shar instead:

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#=09bacula-web
#=09bacula-web/Makefile
#=09bacula-web/distinfo
#=09bacula-web/pkg-descr
#=09bacula-web/pkg-message
#=09bacula-web/pkg-plist
#=09bacula-web/files
#=09bacula-web/files/patch-bacula-web-templates-volumes.tpl
#=09bacula-web/files/patch-bacula-web-classes.inc
#=09bacula-web/files/patch-bacula-web-index.php
#=09bacula-web/files/patch-bacula-web-report.php
#=09bacula-web/files/patch-bacula-web-templates-full_popup.tpl
#=09bacula-web/files/patch-bacula-web-templates-report.tpl
#=09bacula-web/files/patch-bacula-web-templates-index.tpl
#
echo c - bacula-web
mkdir -p bacula-web > /dev/null 2>&1
echo x - bacula-web/Makefile
sed 's/^X//' >bacula-web/Makefile << 'END-of-bacula-web/Makefile'
X# New ports collection makefile for:   bacula-web
X# Date created:        28 April 2006
X# Whom:                Dan Langille <dan@langille.org>
X#
X# $FreeBSD$
X#
X
XPORTNAME=3D=09bacula-web
XDISTVERSION=3D=091.38.9
X
XCATEGORIES=3D=09www
XMASTER_SITES=3D=09${MASTER_SITE_SOURCEFORGE}
XMASTER_SITE_SUBDIR=3D=09bacula
X
XDISTNAME=3D=09bacula-gui-${DISTVERSION}
X
XMAINTAINER=3D=09dan@langille.org
XCOMMENT=3D=09Bacula-web provides a summarized output of Bacula jobs.
X
XNO_BUILD=3D=09yes
X#USE_APACHE=3D=091.3+
XUSE_PHP=3D=09yes
X
XRUN_DEPENDS=3D=09${LOCALBASE}/share/pear/DB.php:${PORTSDIR}/databases/pear=
-DB
X
XALL_OPTIONS=3D=09POSTGRESQL
X
XOPTIONS+=3D=09POSTGRESQL "Use PostgreSQL database instead of MySQL" on
X
X.include <bsd.port.pre.mk>
X
X.if defined(WITH_POSTGRESQL)
XUSE_PGSQL=3D=09=09yes
XCONFIGURE_ARGS+=3D=09--with-postgresql=3Dyes
XDBTYPE=3D=09=09=09postgresql
XSUB_LIST+=3D=09=09REQ_PGSQL=3Dpostgresql
X.else
XCONFIGURE_ARGS+=3D=09--with-mysql=3Dyes
XUSE_MYSQL=3D=09=09yes
XDBTYPE=3D=09=09=09mysql
XSUB_LIST+=3D=09=09REQ_MYSQL=3Dmysql
X.endif
X
Xdo-install:
X=09@${ECHO} "Installing in ${PREFIX}/www/bacula-web"
X=09${MKDIR} ${PREFIX}/www/bacula-web
X=09${CP} -R ${WRKSRC}/bacula-web/* ${PREFIX}/www/bacula-web
X=09${CHOWN} -R ${WWWOWN}:${WWWGRP} ${PREFIX}/www/bacula-web
X=09if [ -f ${PREFIX}/www/bacula-web/configs/bacula.conf ]; then \
X=09=09${CP} ${PREFIX}/www/bacula-web/configs/bacula.conf ${PREFIX}/etc/bac=
ula-web.conf.sample; \
X=09=09${RM} -rf ${PREFIX}/www/bacula-web/configs; \
X=09fi
X
X=09if [ ! -f /var/bacula-web/templates_c ]; then \
X=09=09${MKDIR} -p /var/bacula-web/templates_c; \
X=09=09${CHOWN} -R ${WWWOWN}:${WWWGRP} /var/bacula-web/templates_c; \
X=09fi
X
Xpost-install:
X=09@${SED} 's|%%PREFIX%%|${PREFIX}|g' ${PKGMESSAGE}
X
X.include <bsd.port.mk>
END-of-bacula-web/Makefile
echo x - bacula-web/distinfo
sed 's/^X//' >bacula-web/distinfo << 'END-of-bacula-web/distinfo'
XMD5 (bacula-gui-1.38.9.tar.gz) =3D 02b1236593faf5be2a96da1bba841488
XSHA256 (bacula-gui-1.38.9.tar.gz) =3D 6f7d9d4830f03a32c023d3d1f1a83f519f9d=
05370dd404640b5bd65159264a7c
XSIZE (bacula-gui-1.38.9.tar.gz) =3D 487098
END-of-bacula-web/distinfo
echo x - bacula-web/pkg-descr
sed 's/^X//' >bacula-web/pkg-descr << 'END-of-bacula-web/pkg-descr'
XBacula-web is a php based web program that provides you a summarized outpu=
t
Xof jobs that have already run. It obtains its information from your catalo=
g
Xdatabase. Aside from a nice graphical display, it provides summaries of yo=
ur
Xjobs, as well as graphs of job usage. This is a fairly high level bacula
Xmanagement tool. Here are a few points that one user made concerning this
Ximportant tool:
X
X- It is web-based so can be accessed from anywhere.
X- It is "read only" users can examine the state of the backups but not wri=
te
Xto anything and therefore do no damage
X- It packs a phenomenal amount of information into a single web-page - tha=
t I
Xcredit as being very good design!
X
XThe documentation for bacula-web can be found in a separate bacula-web
Xdocument in the bacula-docs release.
X
XWWW: http://www.bacula.org/
END-of-bacula-web/pkg-descr
echo x - bacula-web/pkg-message
sed 's/^X//' >bacula-web/pkg-message << 'END-of-bacula-web/pkg-message'
X
X***********************************************************************
X*                             INSTALL PROCEDURE                       *
X***********************************************************************
X
XPlease note that everything has been installed in %%PREFIX%%/www/bacula-we=
b.
X
X
XRead %%PREFIX%%/www/bacula-web/README
X
END-of-bacula-web/pkg-message
echo x - bacula-web/pkg-plist
sed 's/^X//' >bacula-web/pkg-plist << 'END-of-bacula-web/pkg-plist'
Xetc/bacula-web.conf.sample
Xshare/nls/POSIX
Xshare/nls/en_US.US-ASCII
Xwww/bacula-web/CONTACT
Xwww/bacula-web/COPYING
Xwww/bacula-web/ChangeLog
Xwww/bacula-web/README
Xwww/bacula-web/TODO
Xwww/bacula-web/array_fill.func.php
Xwww/bacula-web/classes.inc
Xwww/bacula-web/classes.inc.orig
Xwww/bacula-web/external_packages/phplot/ChangeLog
Xwww/bacula-web/external_packages/phplot/LICENSE.GPL
Xwww/bacula-web/external_packages/phplot/LICENSE.PHP_3_0
Xwww/bacula-web/external_packages/phplot/README
Xwww/bacula-web/external_packages/phplot/doc/imgs/graph1.png
Xwww/bacula-web/external_packages/phplot/doc/imgs/graph2.png
Xwww/bacula-web/external_packages/phplot/doc/imgs/graph3.png
Xwww/bacula-web/external_packages/phplot/doc/imgs/phplot-dia.png
Xwww/bacula-web/external_packages/phplot/doc/imgs/qstart_fig1.png
Xwww/bacula-web/external_packages/phplot/doc/imgs/qstart_fig2.png
Xwww/bacula-web/external_packages/phplot/doc/imgs/qstart_fig3.png
Xwww/bacula-web/external_packages/phplot/doc/imgs/qstart_fig4.png
Xwww/bacula-web/external_packages/phplot/doc/index.php
Xwww/bacula-web/external_packages/phplot/doc/internal_functions.html
Xwww/bacula-web/external_packages/phplot/doc/quickstart.html
Xwww/bacula-web/external_packages/phplot/doc/schema.html
Xwww/bacula-web/external_packages/phplot/doc/style.css
Xwww/bacula-web/external_packages/phplot/doc/user_functions.html
Xwww/bacula-web/external_packages/phplot/doc/user_internal_functions.html
Xwww/bacula-web/external_packages/phplot/examples/benjamingothic.ttf
Xwww/bacula-web/external_packages/phplot/examples/create_chart.php
Xwww/bacula-web/external_packages/phplot/examples/data.php
Xwww/bacula-web/external_packages/phplot/examples/data_date.php
Xwww/bacula-web/external_packages/phplot/examples/data_date2.php
Xwww/bacula-web/external_packages/phplot/examples/data_sample1.php
Xwww/bacula-web/external_packages/phplot/examples/data_sample2.php
Xwww/bacula-web/external_packages/phplot/examples/data_sample3.php
Xwww/bacula-web/external_packages/phplot/examples/data_sample4.php
Xwww/bacula-web/external_packages/phplot/examples/data_sample5.php
Xwww/bacula-web/external_packages/phplot/examples/example1.php
Xwww/bacula-web/external_packages/phplot/examples/example2.php
Xwww/bacula-web/external_packages/phplot/examples/example3.php
Xwww/bacula-web/external_packages/phplot/examples/example4.php
Xwww/bacula-web/external_packages/phplot/examples/example6.php
Xwww/bacula-web/external_packages/phplot/examples/example7.php
Xwww/bacula-web/external_packages/phplot/examples/example8.php
Xwww/bacula-web/external_packages/phplot/examples/example9.php
Xwww/bacula-web/external_packages/phplot/examples/format_chart.php
Xwww/bacula-web/external_packages/phplot/examples/inline_image.php
Xwww/bacula-web/external_packages/phplot/examples/test_setup.php
Xwww/bacula-web/external_packages/phplot/phplot.php
Xwww/bacula-web/external_packages/phplot/phplot_data.php
Xwww/bacula-web/external_packages/phplot/rgb.inc.php
Xwww/bacula-web/external_packages/smarty/COPYING.lib
Xwww/bacula-web/external_packages/smarty/Config_File.class.php
Xwww/bacula-web/external_packages/smarty/Smarty.class.php
Xwww/bacula-web/external_packages/smarty/Smarty_Compiler.class.php
Xwww/bacula-web/external_packages/smarty/debug.tpl
Xwww/bacula-web/external_packages/smarty/internals/core.assemble_plugin_fil=
epath.php
Xwww/bacula-web/external_packages/smarty/internals/core.assign_smarty_inter=
face.php
Xwww/bacula-web/external_packages/smarty/internals/core.create_dir_structur=
e.php
Xwww/bacula-web/external_packages/smarty/internals/core.display_debug_conso=
le.php
Xwww/bacula-web/external_packages/smarty/internals/core.get_include_path.ph=
p
Xwww/bacula-web/external_packages/smarty/internals/core.get_microtime.php
Xwww/bacula-web/external_packages/smarty/internals/core.get_php_resource.ph=
p
Xwww/bacula-web/external_packages/smarty/internals/core.is_secure.php
Xwww/bacula-web/external_packages/smarty/internals/core.is_trusted.php
Xwww/bacula-web/external_packages/smarty/internals/core.load_plugins.php
Xwww/bacula-web/external_packages/smarty/internals/core.load_resource_plugi=
n.php
Xwww/bacula-web/external_packages/smarty/internals/core.process_cached_inse=
rts.php
Xwww/bacula-web/external_packages/smarty/internals/core.process_compiled_in=
clude.php
Xwww/bacula-web/external_packages/smarty/internals/core.read_cache_file.php
Xwww/bacula-web/external_packages/smarty/internals/core.rm_auto.php
Xwww/bacula-web/external_packages/smarty/internals/core.rmdir.php
Xwww/bacula-web/external_packages/smarty/internals/core.run_insert_handler.=
php
Xwww/bacula-web/external_packages/smarty/internals/core.smarty_include_php.=
php
Xwww/bacula-web/external_packages/smarty/internals/core.write_cache_file.ph=
p
Xwww/bacula-web/external_packages/smarty/internals/core.write_compiled_incl=
ude.php
Xwww/bacula-web/external_packages/smarty/internals/core.write_compiled_reso=
urce.php
Xwww/bacula-web/external_packages/smarty/internals/core.write_file.php
Xwww/bacula-web/external_packages/smarty/plugins/block.textformat.php
Xwww/bacula-web/external_packages/smarty/plugins/compiler.assign.php
Xwww/bacula-web/external_packages/smarty/plugins/function.assign_debug_info=
=2Ephp
Xwww/bacula-web/external_packages/smarty/plugins/function.config_load.php
Xwww/bacula-web/external_packages/smarty/plugins/function.counter.php
Xwww/bacula-web/external_packages/smarty/plugins/function.cycle.php
Xwww/bacula-web/external_packages/smarty/plugins/function.debug.php
Xwww/bacula-web/external_packages/smarty/plugins/function.eval.php
Xwww/bacula-web/external_packages/smarty/plugins/function.fetch.php
Xwww/bacula-web/external_packages/smarty/plugins/function.html_checkboxes.p=
hp
Xwww/bacula-web/external_packages/smarty/plugins/function.html_image.php
Xwww/bacula-web/external_packages/smarty/plugins/function.html_options.php
Xwww/bacula-web/external_packages/smarty/plugins/function.html_radios.php
Xwww/bacula-web/external_packages/smarty/plugins/function.html_select_date.=
php
Xwww/bacula-web/external_packages/smarty/plugins/function.html_select_time.=
php
Xwww/bacula-web/external_packages/smarty/plugins/function.html_table.php
Xwww/bacula-web/external_packages/smarty/plugins/function.mailto.php
Xwww/bacula-web/external_packages/smarty/plugins/function.math.php
Xwww/bacula-web/external_packages/smarty/plugins/function.popup.php
Xwww/bacula-web/external_packages/smarty/plugins/function.popup_init.php
Xwww/bacula-web/external_packages/smarty/plugins/modifier.capitalize.php
Xwww/bacula-web/external_packages/smarty/plugins/modifier.cat.php
Xwww/bacula-web/external_packages/smarty/plugins/modifier.count_characters.=
php
Xwww/bacula-web/external_packages/smarty/plugins/modifier.count_paragraphs.=
php
Xwww/bacula-web/external_packages/smarty/plugins/modifier.count_sentences.p=
hp
Xwww/bacula-web/external_packages/smarty/plugins/modifier.count_words.php
Xwww/bacula-web/external_packages/smarty/plugins/modifier.date_format.php
Xwww/bacula-web/external_packages/smarty/plugins/modifier.debug_print_var.p=
hp
Xwww/bacula-web/external_packages/smarty/plugins/modifier.default.php
Xwww/bacula-web/external_packages/smarty/plugins/modifier.escape.php
Xwww/bacula-web/external_packages/smarty/plugins/modifier.fsize_format.php
Xwww/bacula-web/external_packages/smarty/plugins/modifier.indent.php
Xwww/bacula-web/external_packages/smarty/plugins/modifier.lower.php
Xwww/bacula-web/external_packages/smarty/plugins/modifier.nl2br.php
Xwww/bacula-web/external_packages/smarty/plugins/modifier.regex_replace.php
Xwww/bacula-web/external_packages/smarty/plugins/modifier.replace.php
Xwww/bacula-web/external_packages/smarty/plugins/modifier.spacify.php
Xwww/bacula-web/external_packages/smarty/plugins/modifier.string_format.php
Xwww/bacula-web/external_packages/smarty/plugins/modifier.strip.php
Xwww/bacula-web/external_packages/smarty/plugins/modifier.strip_tags.php
Xwww/bacula-web/external_packages/smarty/plugins/modifier.truncate.php
Xwww/bacula-web/external_packages/smarty/plugins/modifier.upper.php
Xwww/bacula-web/external_packages/smarty/plugins/modifier.wordwrap.php
Xwww/bacula-web/external_packages/smarty/plugins/outputfilter.trimwhitespac=
e.php
Xwww/bacula-web/external_packages/smarty/plugins/shared.escape_special_char=
s.php
Xwww/bacula-web/external_packages/smarty/plugins/shared.make_timestamp.php
Xwww/bacula-web/external_packages/smarty_gettext-0.9/COPYING
Xwww/bacula-web/external_packages/smarty_gettext-0.9/ChangeLog
Xwww/bacula-web/external_packages/smarty_gettext-0.9/README
Xwww/bacula-web/external_packages/smarty_gettext-0.9/smarty_gettext.php
Xwww/bacula-web/external_packages/smarty_gettext-0.9/tsmarty2c.php
Xwww/bacula-web/images/backlast.gif
Xwww/bacula-web/images/backlastred.gif
Xwww/bacula-web/images/bg1.png
Xwww/bacula-web/images/bg2.png
Xwww/bacula-web/images/bg3.png
Xwww/bacula-web/images/bg4.png
Xwww/bacula-web/images/bg5.png
Xwww/bacula-web/images/bg6.png
Xwww/bacula-web/images/bg7.gif
Xwww/bacula-web/images/bg8.png
Xwww/bacula-web/images/empty.png
Xwww/bacula-web/images/end2.png
Xwww/bacula-web/images/end4.png
Xwww/bacula-web/images/refresh.gif
Xwww/bacula-web/images/s_error.gif
Xwww/bacula-web/images/s_ok.gif
Xwww/bacula-web/index.php
Xwww/bacula-web/index.php.orig
Xwww/bacula-web/js/mini/overlib_anchor_mini.js
Xwww/bacula-web/js/mini/overlib_crossframe_mini.js
Xwww/bacula-web/js/mini/overlib_cssstyle_mini.js
Xwww/bacula-web/js/mini/overlib_exclusive_mini.js
Xwww/bacula-web/js/mini/overlib_followscroll_mini.js
Xwww/bacula-web/js/mini/overlib_hideform_mini.js
Xwww/bacula-web/js/mini/overlib_mini.js
Xwww/bacula-web/js/mini/overlib_shadow_mini.js
Xwww/bacula-web/js/overlib.js
Xwww/bacula-web/js/overlib_anchor.js
Xwww/bacula-web/js/overlib_crossframe.js
Xwww/bacula-web/js/overlib_cssstyle.js
Xwww/bacula-web/js/overlib_exclusive.js
Xwww/bacula-web/js/overlib_followscroll.js
Xwww/bacula-web/js/overlib_hideform.js
Xwww/bacula-web/js/overlib_shadow.js
Xwww/bacula-web/lang.php
Xwww/bacula-web/locale/de/LC_MESSAGES/messages.mo
Xwww/bacula-web/locale/de/LC_MESSAGES/messages_de.po
Xwww/bacula-web/locale/en/LC_MESSAGES/messages.mo
Xwww/bacula-web/locale/en/LC_MESSAGES/messages.po
Xwww/bacula-web/locale/es/LC_MESSAGES/messages.mo
Xwww/bacula-web/locale/es/LC_MESSAGES/messages.po
Xwww/bacula-web/locale/fr/LC_MESSAGES/messages.mo
Xwww/bacula-web/locale/fr/LC_MESSAGES/messages.po.fr
Xwww/bacula-web/locale/it/LC_MESSAGES/messages.mo
Xwww/bacula-web/locale/it/LC_MESSAGES/messages_it.po
Xwww/bacula-web/messages.po
Xwww/bacula-web/paths.php
Xwww/bacula-web/report.php
Xwww/bacula-web/report.php.orig
Xwww/bacula-web/stats.php
Xwww/bacula-web/templates/css.tpl
Xwww/bacula-web/templates/footer.tpl
Xwww/bacula-web/templates/full_popup.tpl
Xwww/bacula-web/templates/full_popup.tpl.orig
Xwww/bacula-web/templates/generaldata.tpl
Xwww/bacula-web/templates/header.tpl
Xwww/bacula-web/templates/index.tpl
Xwww/bacula-web/templates/index.tpl.orig
Xwww/bacula-web/templates/last_run_report.tpl
Xwww/bacula-web/templates/report.tpl
Xwww/bacula-web/templates/report.tpl.orig
Xwww/bacula-web/templates/report_select.tpl
Xwww/bacula-web/templates/volumes.tpl
Xwww/bacula-web/templates/volumes.tpl.orig
Xwww/bacula-web/templates_c/blank
Xwww/bacula-web/test.php
Xwww/bacula-web/tsmarty2c.php
X@dirrm www/bacula-web/templates_c
X@dirrm www/bacula-web/templates
X@dirrm www/bacula-web/locale/it/LC_MESSAGES
X@dirrm www/bacula-web/locale/it
X@dirrm www/bacula-web/locale/fr/LC_MESSAGES
X@dirrm www/bacula-web/locale/fr
X@dirrm www/bacula-web/locale/es/LC_MESSAGES
X@dirrm www/bacula-web/locale/es
X@dirrm www/bacula-web/locale/en/LC_MESSAGES
X@dirrm www/bacula-web/locale/en
X@dirrm www/bacula-web/locale/de/LC_MESSAGES
X@dirrm www/bacula-web/locale/de
X@dirrm www/bacula-web/locale
X@dirrm www/bacula-web/js/mini
X@dirrm www/bacula-web/js
X@dirrm www/bacula-web/images
X@dirrm www/bacula-web/external_packages/smarty_gettext-0.9
X@dirrm www/bacula-web/external_packages/smarty/plugins
X@dirrm www/bacula-web/external_packages/smarty/internals
X@dirrm www/bacula-web/external_packages/smarty
X@dirrm www/bacula-web/external_packages/phplot/examples
X@dirrm www/bacula-web/external_packages/phplot/doc/imgs
X@dirrm www/bacula-web/external_packages/phplot/doc
X@dirrm www/bacula-web/external_packages/phplot
X@dirrm www/bacula-web/external_packages
X@dirrm www/bacula-web
END-of-bacula-web/pkg-plist
echo c - bacula-web/files
mkdir -p bacula-web/files > /dev/null 2>&1
echo x - bacula-web/files/patch-bacula-web-templates-volumes.tpl
sed 's/^X//' >bacula-web/files/patch-bacula-web-templates-volumes.tpl << 'E=
ND-of-bacula-web/files/patch-bacula-web-templates-volumes.tpl'
X--- bacula-web/templates/volumes.tpl.orig=09Sun Jun 19 06:17:22 2005
X+++ bacula-web/templates/volumes.tpl=09Sat Apr 29 16:29:36 2006
X@@ -31,8 +31,8 @@
X                                         <td>{$current3.0}</td>
X                                         <td>{$current3.1|fsize_format|def=
ault:0}</td>
X                                         <td>{$current3.4}</td>
X-                                        <td {popup text=3D"$current3.6}">=
{if $current3.6|date_format:"%Y" <=3D "1979"}--{else}{$current3.6|date_form=
at:"%Y/%m/%d"}{/if}</td>
X-                                        <td {popup text=3D"$current3.5}">=
{if $current3.5 =3D=3D "0000-00-00 00:00:00"}--{else}{$current3.5|date_form=
at:"%Y/%m/%d"}{/if}</td>
X+                                        <td>{if $current3.6|date_format:"=
%Y" <=3D "1979"}--{else}{$current3.6|date_format:"%Y/%m/%d"}{/if}</td>
X+                                        <td>{if $current3.5 =3D=3D "0000-=
00-00 00:00:00"}--{else}{$current3.5|date_format:"%Y/%m/%d"}{/if}</td>
X                                         <td>
X                                                 <font color=3D
X                                                 {if $current3.2 =3D=3D "E=
rror"}
END-of-bacula-web/files/patch-bacula-web-templates-volumes.tpl
echo x - bacula-web/files/patch-bacula-web-classes.inc
sed 's/^X//' >bacula-web/files/patch-bacula-web-classes.inc << 'END-of-bacu=
la-web/files/patch-bacula-web-classes.inc'
X--- bacula-web/classes.inc.orig=09Sat Nov  5 17:11:16 2005
X+++ bacula-web/classes.inc=09Sat Apr 29 16:34:44 2006
X@@ -15,8 +15,8 @@
X +------------------------------------------------------------------------=
-+
X */
X // Last Err: 11
X-define('CONFIG_DIR', "configs");
X-define('CONFIG_FILE', "bacula.conf");
X+define('CONFIG_DIR', "/usr/local/etc");
X+define('CONFIG_FILE', "bacula-web.conf");
X define('BACULA_TYPE_BYTES_FILES', 1);
X define('BACULA_TYPE_FILES_JOBID', 2);
X define('BACULA_TYPE_BYTES_ENDTIME_ALLJOBS', 69);
END-of-bacula-web/files/patch-bacula-web-classes.inc
echo x - bacula-web/files/patch-bacula-web-index.php
sed 's/^X//' >bacula-web/files/patch-bacula-web-index.php << 'END-of-bacula=
-web/files/patch-bacula-web-index.php'
X--- bacula-web/index.php.orig=09Thu Oct  6 10:45:48 2005
X+++ bacula-web/index.php=09Sat Apr 29 16:35:59 2006
X@@ -26,9 +26,9 @@
X //$smarty->compile_check =3D true;
X //$smarty->debugging =3D true;
X $smarty->template_dir =3D "./templates";
X-$smarty->compile_dir =3D "./templates_c";
X-$smarty->config_dir     =3D "./configs";
X-$smarty->config_load("bacula.conf");                                     =
                                               // Load config file
X+$smarty->compile_dir =3D "/var/bacula-web/templates_c";
X+$smarty->config_dir     =3D "/usr/local/etc";
X+$smarty->config_load("bacula-web.conf");                                 =
                                                   // Load config file
X $mode =3D $smarty->get_config_vars("mode");                              =
                                                 // Lite o Extend?
X
X require("lang.php");
X@@ -75,8 +75,11 @@
X
X $client->free();
X $totalfiles->free();
X-$last24bytes->free();
X-
X+if ( $dbSql->driver =3D=3D "mysql" ) {
X+  $last24bytes->free();
X+} else {
X+#  $last24bytes->freeResult();
X+}
X
X // report_select.tpl & last_run_report.tpl
X $res =3D $dbSql->link->query("select Name from Job group by Name");
END-of-bacula-web/files/patch-bacula-web-index.php
echo x - bacula-web/files/patch-bacula-web-report.php
sed 's/^X//' >bacula-web/files/patch-bacula-web-report.php << 'END-of-bacul=
a-web/files/patch-bacula-web-report.php'
X--- bacula-web/report.php.orig=09Thu Oct  6 10:45:48 2005
X+++ bacula-web/report.php=09Sat Apr 29 16:36:01 2006
X@@ -25,9 +25,9 @@
X //$smarty->debugging =3D true;
X
X $smarty->template_dir   =3D "./templates";
X-$smarty->compile_dir    =3D "./templates_c";
X-$smarty->config_dir     =3D "./configs";
X-$smarty->config_load("bacula.conf");
X+$smarty->compile_dir    =3D "/var/bacula-web/templates_c";
X+$smarty->config_dir     =3D "/usr/local/etc";
X+$smarty->config_load("bacula-web.conf");
X require("lang.php");
X
X $dbSql =3D new Bweb();
END-of-bacula-web/files/patch-bacula-web-report.php
echo x - bacula-web/files/patch-bacula-web-templates-full_popup.tpl
sed 's/^X//' >bacula-web/files/patch-bacula-web-templates-full_popup.tpl <<=
 'END-of-bacula-web/files/patch-bacula-web-templates-full_popup.tpl'
X--- bacula-web/templates/full_popup.tpl.orig=09Wed Jun 15 10:59:27 2005
X+++ bacula-web/templates/full_popup.tpl=09Sat Apr 29 16:36:02 2006
X@@ -1,4 +1,4 @@
X-{config_load file=3Dbacula.conf}
X+{config_load file=3Dbacula-web.conf}
X <html>
X <head>
X {include file=3Dcss.tpl}
END-of-bacula-web/files/patch-bacula-web-templates-full_popup.tpl
echo x - bacula-web/files/patch-bacula-web-templates-report.tpl
sed 's/^X//' >bacula-web/files/patch-bacula-web-templates-report.tpl << 'EN=
D-of-bacula-web/files/patch-bacula-web-templates-report.tpl'
X--- bacula-web/templates/report.tpl.orig=09Mon Sep 19 11:33:10 2005
X+++ bacula-web/templates/report.tpl=09Sat Apr 29 16:36:04 2006
X@@ -1,5 +1,5 @@
X {* P=E1gina principal BACULA *}
X-{config_load  file=3Dbacula.conf}
X+{config_load  file=3Dbacula-web.conf}
X {popup_init src=3D"js/overlib.js"}
X <html>
X <head>
END-of-bacula-web/files/patch-bacula-web-templates-report.tpl
echo x - bacula-web/files/patch-bacula-web-templates-index.tpl
sed 's/^X//' >bacula-web/files/patch-bacula-web-templates-index.tpl << 'END=
-of-bacula-web/files/patch-bacula-web-templates-index.tpl'
X--- bacula-web/templates/index.tpl.orig=09Sun Jun 19 04:52:45 2005
X+++ bacula-web/templates/index.tpl=09Sat Apr 29 16:36:03 2006
X@@ -1,6 +1,6 @@
X {* BACULA main page*}
X
X-{config_load file=3Dbacula.conf}
X+{config_load file=3Dbacula-web.conf}
X
X {include file=3Dcss.tpl}
X
END-of-bacula-web/files/patch-bacula-web-templates-index.tpl
exit
Comment 4 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-08-08 15:44:15 UTC
State Changed
From-To: feedback->closed

New port added, with minor changes. Thanks!